<div class="form-group">
  <h1 style="text-decoration: underline">Salesman</h1>

  <div class="form-group">
    <label for="firstname">First Name</label>
    <input type="text" class="form-control" id="firstname" #firstname
           required readonly [(ngModel)]="this.pageService.currentEmployee.firstname"
           name="firstname">
  </div>
  <div class="form-group">
    <label for="lastname">Last Name</label>
    <input type="text" class="form-control" id="lastname" #lastname
           required readonly [(ngModel)]="this.pageService.currentEmployee.lastname"
           name="lastname">
  </div>
  <div class="form-group">
    <label for="department">Department</label>
    <input type="text" class="form-control" id="department" #department
           required readonly [(ngModel)]="this.pageService.currentEmployee.department"
           name="department">
  </div>
  <div class="form-group">
    <label for="year">Year of Performance</label>
    <select [(ngModel)]="this.pageService.currentRecord.year" (ngModelChange)="this.onYearSelected()" class="form-control" id="year" style="width: 50%; margin: auto;">
      <option *ngFor="let year of years; let i = index" [value]="year">{{year}}</option>
    </select>
  </div>
</div>
